DC_BUFFER_NEW(3)

NAME
dc_buffer_new - create an resizable binary buffer

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/buffer.h>
dc_buffer_t *
dc_buffer_new(size_t capacity);

DESCRIPTION
Create a resizable binary buffer of initial size capacity, which may be zero. The created buffer must be freed with dc_buffer_free(3).

RETURN VALUES
Returns a pointer to a dc_buffer_t or NULL on memory exhaustion.

SEE ALSO
dc_buffer_free(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.